Olympus Docs
ReferenceAPIsOry Hydra APIoAuth2

Get OAuth 2.0 Login Request

When an authorization code, hybrid, or implicit OAuth 2.0 Flow is initiated, Ory asks the login provider

GET /admin/oauth2/auth/requests/login

When an authorization code, hybrid, or implicit OAuth 2.0 Flow is initiated, Ory asks the login provider to authenticate the subject and then tell the Ory OAuth2 Service about it.

Per default, the login provider is Ory itself. You may use a different login provider which needs to be a web-app you write and host, and it must be able to authenticate ("show the subject a login screen") a subject (in OAuth2 the proper name for subject is "resource owner").

The authentication challenge is appended to the login provider URL to which the subject's user-agent (browser) is redirected to. The login provider uses that challenge to fetch information on the OAuth2 request and then accept or reject the requested authentication process.

Operation ID: getOAuth2LoginRequest    Tag: oAuth2

Query parameters

NameTypeRequiredDescription
login_challengestringyesOAuth 2.0 Login Request Challenge

Responses

StatusDescriptionBody
200oAuth2LoginRequestapplication/json, object
410oAuth2RedirectToapplication/json, object
defaulterrorOAuth2application/json, object

Generated from ../athena/openapi.json at build time.

On this page